Package jaxe

# Class JaxeUndoManager

java.lang.Object
javax.swing.undo.AbstractUndoableEdit
javax.swing.undo.CompoundEdit
javax.swing.undo.UndoManager
jaxe.JaxeUndoManager

All Implemented Interfaces:
  `Serializable`, `EventListener`, `UndoableEditListener`, `UndoableEdit`

public class JaxeUndoManager extends UndoManager
UndoManager to recognise a modified document

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.undo.CompoundEdit

`edits`

### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

`RedoName, UndoName`

## Constructor Summary

Constructors
Constructor
Description
`JaxeUndoManager(JaxeDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addEdit(UndoableEdit anEdit)`
`void`
`redo()`
`void`
`undo()`

### Methods inherited from class javax.swing.undo.UndoManager

`canRedo, canUndo, canUndoOrRedo, discardAllEdits, editToBeRedone, editToBeUndone, end, getLimit, getRedoPresentationName, getUndoOrRedoPresentationName, getUndoPresentationName, redoTo, setLimit, toString, trimEdits, trimForLimit, undoableEditHappened, undoOrRedo, undoTo`

### Methods inherited from class javax.swing.undo.CompoundEdit

`die, getPresentationName, isInProgress, isSignificant, lastEdit`

### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

`replaceEdit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JaxeUndoManager

public JaxeUndoManager(JaxeDocument doc)

## Method Details

### addEdit

public boolean addEdit(UndoableEdit anEdit)

Specified by:
  `addEdit` in interface `UndoableEdit`
Overrides:
  `addEdit` in class `UndoManager`

### undo

public void undo() throws CannotUndoException

Specified by:
  `undo` in interface `UndoableEdit`
Overrides:
  `undo` in class `UndoManager`
Throws:
  `CannotUndoException`

### redo

public void redo() throws CannotRedoException

Specified by:
  `redo` in interface `UndoableEdit`
Overrides:
  `redo` in class `UndoManager`
Throws:
  `CannotRedoException`